@extends('layouts.app')

@section('page_title', 'Promotions')

@section('content')
    @php
        $promotions = [
            [
                'id' => 1,
                'title' => 'Spring Sale',
                'type' => 'Discount',
                'startDate' => '2025-04-10',
                'endDate' => '2025-04-20',
                'status' => 'Done'
            ],
            [
                'id' => 2,
                'title' => 'Flash Deal',
                'type' => 'Flash Sale',
                'startDate' => '2025-04-15',
                'endDate' => '2025-04-17',
                'status' => 'On Going'
            ],
            [
                'id' => 3,
                'title' => 'Loyalty Promo',
                'type' => 'Reward',
                'startDate' => '2025-04-20',
                'endDate' => '2025-05-01',
                'status' => 'Done'
            ],
            [
                'id' => 4,
                'title' => 'Holiday Bundle',
                'type' => 'Bundle',
                'startDate' => '2025-04-25',
                'endDate' => '2025-05-05',
                'status' => 'On Going'
            ],
            [
                'id' => 5,
                'title' => 'Back-to-School',
                'type' => 'Discount',
                'startDate' => '2025-04-30',
                'endDate' => '2025-05-10',
                'status' => 'Done'
            ],
            [
                'id' => 6,
                'title' => 'Clearance Sale',
                'type' => 'Flash Sale',
                'startDate' => '2025-05-01',
                'endDate' => '2025-05-03',
                'status' => 'On Going'
            ]
        ];
    @endphp

    @include('components.table-component', [
        'pageTitle' => 'Promotions',
        'data' => $promotions,
        'columns' => [
            ['name' => 'Title', 'key' => 'title', 'sortable' => true],
            ['name' => 'Type', 'key' => 'type', 'sortable' => true],
            ['name' => 'Start Date', 'key' => 'startDate', 'sortable' => true],
            ['name' => 'End Date', 'key' => 'endDate', 'sortable' => true],
            ['name' => 'Status', 'key' => 'status', 'sortable' => true]
        ],
        'actions' => ['edit', 'view', 'delete'],
        'showAddButton' => true,
        'addButtonUrl' => '/add-promotions',
        'showCheckboxes' => true,
        'showBatchDelete' => true,
        'showEditModal' => true,
        'showViewModal' => true
    ])

    <script>
        const storedPromotions = JSON.parse(sessionStorage.getItem('promotions') || '[]');
        if (storedPromotions.length > 0) {
            const tableConfig = window.tableConfig || {};
            tableConfig.data = [...tableConfig.data, ...storedPromotions];
            window.renderTable();
            window.renderPagination();
        }
    </script>
@endsection